diff --git a/.github/workflows/release.yml b/.github/workflows/release.yml
new file mode 100644
index 0000000..fe287b8
--- /dev/null
+++ b/.github/workflows/release.yml
@@ -0,0 +1,27 @@
+name: Release
+
+on:
+ push:
+ tags:
+ - 'v*'
+
+jobs:
+ build-release:
+ runs-on: ubuntu-latest
+
+ steps:
+ - name: Checkout
+ uses: actions/checkout@v4
+
+ - name: Create archive
+ run: |
+ mkdir dist
+ cp -r src/* dist/
+ tar -czf usb-control.tar.gz -C dist .
+
+ - name: Create Release
+ uses: softprops/action-gh-release@v2
+ with:
+ files: usb-control.tar.gz
+ env:
+ GITHUB_TOKEN: ${{ secrets.GITEA_TOKEN }}
\ No newline at end of file
diff --git a/readme.md b/readme.md
index a1813a1..8359018 100644
--- a/readme.md
+++ b/readme.md
@@ -1,17 +1,21 @@
-/var/www/usb-toggle.php
-/usr/local/bin/usb-bind-wrapper
+# USB Control Plugin for moOde
-dans header
+Adds a USB power control entry in the moOde UI.
-add-header.php
+## โจ Features
-Juste avant
Bluetooth
------------
-Dans les script
-
------------
-js/usb-toogle.js
+- Toggle USB power from the web interface
+- Visual status indicator
-cat /etc/sudoers.d/010_www-data-nopasswd
-www-data ALL=(ALL) NOPASSWD: ALL
+---
+## ๐ Quick Install (one command)
+
+```bash
+curl -L https://git.celjim.fr/jimmyGALLAND/moodeaudio-usb-control/releases/latest/download/moodeaudio-usb-control.tar.gz \
+| tar xz && cd moodeaudio-usb-control && sudo ./install.sh
+
+## ๐งผ Uninstall
+
+```bash
+sudo ./uninstall.sh
\ No newline at end of file
diff --git a/install.sh b/src/install.sh
similarity index 100%
rename from install.sh
rename to src/install.sh
diff --git a/src/uninstall.sh b/src/uninstall.sh
new file mode 100644
index 0000000..73c530c
--- /dev/null
+++ b/src/uninstall.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+set -e
+
+echo "== USB Control plugin uninstall =="
+
+WEB_DIR="/var/www"
+HEADER_FILE="$WEB_DIR/header.php"
+BIN_TARGET="/usr/local/bin/usb-bind-wrapper.sh"
+
+# 1. Supprimer fichiers web
+echo "-- Remove web files"
+
+rm -f "$WEB_DIR/usb-toogle.php"
+rm -rf "$WEB_DIR/js/usb-toggle.js"
+
+sudo rm -f "$BIN_TARGET"
+
+echo "-- Cleaning header.php"
+
+if grep -q 'usb-toggle.js' "$HEADER_FILE"; then
+ TMP=$(mktemp)
+
+ grep -v 'usb-toggle.js' "$HEADER_FILE" > "$TMP"
+
+ sudo mv "$TMP" "$HEADER_FILE"
+ echo "JS reference removed"
+else
+ echo "No JS reference found"
+fi
+
+echo "== Uninstall complete =="
\ No newline at end of file